Bug 451526 - Spectacle doesn't allow to copy or save the existing image after canceling anew rectangular region screenshot initiated from the main window
Summary: Spectacle doesn't allow to copy or save the existing image after canceling an...
Status: RESOLVED FIXED
Alias: None
Product: Spectacle
Classification: Unclassified
Component: General (show other bugs)
Version: 21.12.2
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Boudhayan Gupta
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2022-03-15 12:17 UTC by Matteo Croce
Modified: 2022-04-19 14:05 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screen of the error (118.42 KB, image/png)
2022-03-15 12:17 UTC, Matteo Croce
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matteo Croce 2022-03-15 12:17:18 UTC
Created attachment 147508 [details]
screen of the error

STEPS TO REPRODUCE
1. Make a rectangular screenshot
2. Make another one, but cancel it with ESC
3. The previous screenshot can't be saved or copied
Comment 1 Nate Graham 2022-03-25 16:38:00 UTC
Can confirm.
Comment 2 Antonio Prcela 2022-04-19 14:05:27 UTC
Oh wow, I totally missed this bug report. Noticed it recently by myself..
Fixed in:
https://invent.kde.org/graphics/spectacle/-/merge_requests/132